# -*- encoding: utf-8 -*-
# stub: dialect 0.0.1 ruby lib

Gem::Specification.new do |s|
  s.name = "dialect".freeze
  s.version = "0.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 1.6.1".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Jeff Nyman".freeze]
  s.date = "2014-02-25"
  s.description = "\n    Dialect is a framework that provides a way to describe your application\n    in terms of activity and page definitions. Those definitions can then be\n    referenced by test libraries using the DSL that Dialect provides.\n\n    The DSL provides a fluent interface that can be used for constructing\n    test execution logic. This fluent interface promotes the idea of\n    compressibility of your test logic, allowing for more factoring, more\n    reuse, and less repetition.\n\n    You can use Dialect directly as an automated testing solution or you can\n    use it with other tools such as RSpec, Cucumber, or my own Lucid tool.\n  ".freeze
  s.email = ["jeffnyman@gmail.com".freeze]
  s.homepage = "https://github.com/jnyman/dialect".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "\n(::) (::) (::) (::) (::) (::) (::) (::) (::) (::) (::) (::)\n\n  Dialect 0.0.1 has been installed.\n\n(::) (::) (::) (::) (::) (::) (::) (::) (::) (::) (::) (::)\n  ".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "A Semantically Clean Fluent Interface Test Framework".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.5"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<rspec>.freeze, [">= 2.14"])
    s.add_runtime_dependency(%q<watir-webdriver>.freeze, [">= 0.6.8"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.5"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<rspec>.freeze, [">= 2.14"])
    s.add_dependency(%q<watir-webdriver>.freeze, [">= 0.6.8"])
  end
end
